vue_cli 0.4.1

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • 44

vue_cli

A CLI helper for VueDart, featuring project templates. See the VueDart site for details.

0.4.0

  • The version numbering has been changed to be in sync with VueDart.
  • Updates for VueDart 0.4.
  • The migrate command is now considered unsupported due to technical issues with it.

0.1.1

Use aspen_assets 0.2 instead of 0.1.

0.1.0

Initial.

Use this package as an executable

1. Install it

You can install the package from the command line:


$ pub global activate vue_cli

2. Use it

The package has the following executables:


$ vuedart
Version Uploaded Documentation Archive
0.4.1 Oct 13, 2018 Go to the documentation of vue_cli 0.4.1 Download vue_cli 0.4.1 archive
0.4.0 Oct 10, 2018 Go to the documentation of vue_cli 0.4.0 Download vue_cli 0.4.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
70
Overall:
Weighted score of the above. [more]
44
Learn more about scoring.

We analyzed this package on Dec 5, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.1.0
  • pana: 0.12.7

Platforms

Detected platforms: Flutter, web, other

No platform restriction found in libraries.

Health suggestions

Format bin/vuedart.dart.

Run dartfmt to format bin/vuedart.dart.

Maintenance suggestions

The description is too short. (-20 points)

Add more detail about the package, what it does and what is its target use case. Try to write at least 60 characters.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package. Common file name patterns include: main.dart, example.dart or you could also use vue_cli.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0 <3.0.0
ansicolor ^1.0.1 1.0.2
args ^1.5.0 1.5.1
path ^1.6.2 1.6.2
source_maps ^0.10.6 0.10.8
source_span ^1.4.0 1.4.1
Transitive dependencies
charcode 1.1.2